changes to the "source" config option are not applied to units

Bug #1812219 reported by Jeff Hillman on 2019-01-17
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Ceph-Proxy Charm
High
Chris MacNaughton

Bug Description

When changing the source config options on a deployed ceph-proxy unit doesn't appear to do anything.

Nothing is added/changed in /etc/apt/sources.list.

Running the command:

juju config ceph-proxy source=cloud:rocky

Only generated the following message in the unit log file:

---

unit-ceph-proxy-0: 07:49:44 DEBUG unit.ceph-proxy/0.juju-log Hardening function 'config_changed'
unit-ceph-proxy-0: 07:49:44 DEBUG unit.ceph-proxy/0.juju-log No hardening applied to 'config_changed'
unit-ceph-proxy-0: 07:49:49 INFO unit.ceph-proxy/0.juju-log Making dir /var/lib/charm/ceph-proxy ceph:ceph 555
unit-ceph-proxy-0: 07:49:49 DEBUG unit.ceph-proxy/0.juju-log Changing permissions on existing content: 33188 -> 420
unit-ceph-proxy-0: 07:49:52 DEBUG unit.ceph-proxy/0.juju-log Changing permissions on existing content: 33152 -> 384
unit-ceph-proxy-0: 07:49:52 DEBUG unit.ceph-proxy/0.juju-log Changing permissions on existing content: 33152 -> 384

---

This requires manually going to the unit and running add-apt-repository and manually doing the upgrade.

Jeff Hillman (jhillman) wrote :

Subscribed to field-high as approved by Nobuto.

This is blocking upgrade testing and ultimately customer acceptance of an active deployment.

James Page (james-page) wrote :

I appreciate that the charm is not reacting to a change in the source configuration option but is there actually any functional impact on the deployment? The charm is proxying admin requests to a remote ceph cluster which is not managed by Juju so its not coupled to versions in the same way as we would be for a native Juju deployed ceph cluster.

Changed in charm-ceph-proxy:
status: New → In Progress
assignee: nobody → Chris MacNaughton (chris.macnaughton)
Jeff Hillman (jhillman) wrote :

There is no functional impact, it just doesn't change /etc/apt/sources.list

Ryan Beisner (1chb1n) on 2019-01-30
Changed in charm-ceph-proxy:
milestone: none → 19.04
importance: Undecided → High
Jeff Hillman (jhillman) wrote :

downgraded to field-medium as fix is proposed

Reviewed: https://review.openstack.org/633969
Committed: https://git.openstack.org/cgit/openstack/charm-ceph-proxy/commit/?id=eca9d8cd28f7ce6c71c8491e43281a0c0e3bf663
Submitter: Zuul
Branch: master

commit eca9d8cd28f7ce6c71c8491e43281a0c0e3bf663
Author: Chris MacNaughton <email address hidden>
Date: Wed Jan 30 15:54:56 2019 +0100

    Update source/packages if config changes

    Also, this change removes the harden decorators as
    the required configuration for harden is _not_ present
    in the charm config, rendering it useless.

    Change-Id: I20c124d9588b8fd6c0e6611725a848eaf892f6af
    Closes-Bug: #1812219

Changed in charm-ceph-proxy:
status: In Progress → Fix Committed
Vern Hart (vhart) wrote :

Would it be possible to backport this fix to the current stable charm (18.11)?

Reviewed: https://review.openstack.org/639292
Committed: https://git.openstack.org/cgit/openstack/charm-ceph-proxy/commit/?id=6f599fa88ce44ef22064fb2d17b5dca5471b0709
Submitter: Zuul
Branch: stable/18.11

commit 6f599fa88ce44ef22064fb2d17b5dca5471b0709
Author: Chris MacNaughton <email address hidden>
Date: Wed Jan 30 15:54:56 2019 +0100

    Update source/packages if config changes

    Also, this change removes the harden decorators as
    the required configuration for harden is _not_ present
    in the charm config, rendering it useless.

    Change-Id: I20c124d9588b8fd6c0e6611725a848eaf892f6af
    Closes-Bug: #1812219
    (cherry picked from commit eca9d8cd28f7ce6c71c8491e43281a0c0e3bf663)

David Ames (thedac) on 2019-04-17
Changed in charm-ceph-proxy:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers